//
//  TagDetailsViewController.h
//  Evernote Demo
//
//  Created by Rie Hisao on 1/24/12.
//  Copyright (c) 2012 Santa Clara University. All rights reserved.
//

#import <UIKit/UIKit.h>

@class TagDetailsViewController;
@class Tag;

@protocol TagDetailsViewControllerDelegate <NSObject>

-(void) tagDetailsViewControllerDidCancel: (TagDetailsViewController *) controller;
-(void) tagDetailsViewController: (TagDetailsViewController *) controller didAddTag:(Tag *)tag;

@end

@interface TagDetailsViewController : UITableViewController

@property (strong, nonatomic) IBOutlet UITextField *nameTextField;
@property (nonatomic, assign) id <TagDetailsViewControllerDelegate> delegate;
-(IBAction)cancel:(id)sender;
-(IBAction)done:(id)sender;
@end
